/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __CAPTURE_IMAGE_VIEWER_H__
#define __CAPTURE_IMAGE_VIEWER_H__

#include <Evas.h>

struct _app_data;
typedef struct _capture_image_viewer capture_image_viewer;
typedef void (*capture_image_viewer_del_cb)(void *user_data);

/**
 * @brief Create capture image view
 * @param[in]   app         application instance
 * @param[in]   navi        owner naviframe
 * @param[in]   image_path  path of image
 * @param[in]   del_cb      delete callback
 * @param[in]   user_data   user data
 * @return new instance of capture image view
 */
capture_image_viewer *capture_image_viewer_add(struct _app_data *app, Evas_Object *navi,
		const char *image_path, capture_image_viewer_del_cb del_cb, const void *user_data);

#endif // __CAPTURE_IMAGE_VIEWER_H__

