/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef FRAME_EXTRACTOR_VIEW_H_
#define FRAME_EXTRACTOR_VIEW_H_

#define MILLISECONDS 1000

#include <Evas.h>

struct _app_data;

/**
 * @typedef frame_extractor_view
 * Type of frame extractor view
 */
typedef struct _frame_extractor_view frame_extractor_view;

/**
 * @brief Creates the frame extractor view.
 * @param[in] app     Main application data
 * @param[in] navi    Main naviframe object
 * @return Pointer of new frame extractor view instance.
 */
frame_extractor_view *frame_extractor_view_add(struct _app_data *app, Evas_Object *navi);

#endif /* FRAME_EXTRACTOR_VIEW_H_ */
